/*
 * CSS: 스타일 정의
 */
body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    background-color: #f0f0f0;
    overflow: hidden;
}

/* 전체 화면 버튼 스타일 */
#fullscreen-prompt {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

#fullscreen-button {
    padding: 20px 40px;
    font-size: 24px;
    cursor: pointer;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    transition: background-color 0.3s;
}

#fullscreen-button:hover {
    background-color: #45a049;
}

/* 게임 컨테이너 */
#game-container {
    position: relative;
    width: 100vw;
    height: 100vh;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
    background-image: url('/api/images/classroom/background.png');
    background-size: cover;
    background-position: center;
    display: none;
}

.item {
    position: absolute;
    cursor: pointer;
    transition: transform 0.1s ease-out;
    max-width: 1000px;
    height: auto;
}

.item:active {
    transform: scale(0.95);
}

/* ---------------------------------------------------- */
/* ✨ 그림 파일 위치 및 사이즈 조정 코드 위치 ✨ */
/* ---------------------------------------------------- */

#item-1 { top: 53vh; right: 18vw; width: 18vw; }
#item-2 { bottom: 8vh; left: 33vw; width: 12vw; }
#item-3 { top: 65vh; left: 0vw; width: 20vw; }
#item-4 { top: 63vh; left: 5vw; width: 10vw; }
#item-5 { bottom: 5vh; right: 0vw; width: 9vw; }
#item-6 { top: 15vh; left: 30vw; width: 8vw; }
#item-7 { top: 49vh; left: 19vw; width: 18vw; }
#item-8 { bottom: 3vh; left: 25vw; width: 9vw; }
#item-9 { top: 44vh; right: 67vw; width: 7vw; }
#item-10 { top: 0vh; right: 6vw; width: 25vw; }
#item-11 { top: 68vh; left: 60vw; width: 27vw; }
#item-12 { top: 37vh; right: 34vw; width: 24vw; }
#item-13 { top: 57vh; right: 0vw; width: 8vw; }

/* ---------------------------------------------------- */
